
QGIS Application - Bug report #1916

(windows) : "Access violation - No RTTI Data!"

2009-09-03 06:40 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11976

Description

This is the message that appears under windows (Vista, Xp) when clicking (every time) with the left mouse button on a layer in the

legend. The error is not critical as does not crash the application  but is very annoying as restarting qgis is necessary to make it

disappear. It seems to not related to the data being used and seems also to appear always after working a while with the program. Tested

on qgis >= 1.2

Associated revisions

Revision af62f1ce - 2009-09-21 01:12 AM - Jürgen Fischer

fix #1916

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11693 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 93e3bb32 - 2009-09-21 01:12 AM - Jürgen Fischer

fix #1916

git-svn-id: http://svn.osgeo.org/qgis/trunk@11693 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-09-03 07:15 AM - Jürgen Fischer

I've seen that too, but I'm not able to reproduce it reliably.  Just left clicking doesn't do it here.  It only happens after some other action, which I wasn't able

to identify yet.

#2 - 2009-09-03 08:14 AM - Giovanni Manghi

Replying to [comment:1 jef]:

Just left clicking doesn't do it here.

Here too, but seems to appear in any case sometime after working on a project. Doesn't seems to me to be associated to any particular action.

#3 - 2009-09-20 04:13 PM - Jürgen Fischer
http://svn.osgeo.org/qgis/trunk/qgis@11693
http://svn.osgeo.org/qgis/trunk@11693


- Status changed from Open to Closed

- Resolution set to fixed

Replying to [comment:2 lutra]:

Replying to [comment:1 jef]:

Just left clicking doesn't do it here.

Here too, but seems to appear in any case sometime after working on a project. Doesn't seems to me to be associated to any particular action.

Happened when a layer was removed, that was dragged, but not actually moved.

Fixed in commit:93e3bb32 (SVN r11694)

#4 - 2009-09-20 04:32 PM - Jürgen Fischer

Replying to lutra:

This is the message that appears under windows (Vista, Xp) when clicking (every time) with the left mouse button on a layer in the legend. The error

is not critical

BTW it was critical - as the linux version crashed in the same situation.

#5 - 2009-10-06 11:53 PM - Giovanni Manghi

I have seen this popping out on a Vista machine of a friend... just once while working in the legend, without annoying further...

#6 - 2010-03-05 05:32 AM - Giovanni Manghi

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

it is pretty common to still spot this problem under every windows version. Tested with qgis 1.4/trunk installed with osego4w installer.

#7 - 2010-06-11 10:48 AM - Giovanni Manghi

Maybe the recent patches by Giuseppe for the legend also fixed this? needs to be checked.

#8 - 2010-07-03 10:30 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

Replying to [comment:8 lutra]:
Maybe the recent patches by Giuseppe for the legend also fixed this?

seems so, so I'll close.
